advertisement
Forums

The Forum is sponsored by 
 

AAPL stock: Click Here

You are currently viewing the Tips and Deals forum
Dropbox Dropping Tiger and Leopard!
Posted by: p8712
Date: January 20, 2015 04:30PM
Just got an email from Dropbox - said they are dropping support for 10.4 and 10.5 on May 18th. 10.6 will be the new minimum. Drat, I still use both OS's and they can't be upgraded (PPC). Oh well, was nice while it lasted...
Options:  Reply • Quote
Re: Dropbox Dropping Tiger and Leopard!
Posted by: jdc
Date: January 20, 2015 04:40PM
Sounds like time for new used Iron.

Should be able to find a nice 2008 20" iMac for about $200 -- and they will even run Yosemite -- but run 10.6.8 wonderfully...





Edited 999 time(s). Last edit at 12:08PM by jdc.
Options:  Reply • Quote
Re: Dropbox Dropping Tiger and Leopard!
Posted by: Speedy
Date: January 20, 2015 04:43PM
Hits me. too. G5 is still my main file server. Runs a max of 10.5.8.



Saint Cloud, Minnesota, where the weather is wonderful even when it isn't.
Options:  Reply • Quote
Re: Dropbox Dropping Tiger and Leopard!
Posted by: N-OS X-tasy!
Date: January 20, 2015 04:50PM
I am slowly but surely becoming a bit of a technophobe for precisely this reason -- forced obsolescence.



It is what it is.
Options:  Reply • Quote
Re: Dropbox Dropping Tiger and Leopard!
Posted by: Mr Downtown
Date: January 20, 2015 04:56PM
.



Edited 1 time(s). Last edit at 01/20/2015 04:57PM by Mr Downtown.
Options:  Reply • Quote
Re: Dropbox Dropping Tiger and Leopard!
Posted by: p8712
Date: January 20, 2015 05:09PM
Quote
jdc
Sounds like time for new used Iron.

Should be able to find a nice 2008 20" iMac for about $200 -- and they will even run Yosemite -- but run 10.6.8 wonderfully...

I have newer iron - i just like using my Pismo, Cube, eMac, and G4's too.

(I also snagged a 2009 imac for $100, I just don't have it up and running yet.)
Options:  Reply • Quote
Re: Dropbox Dropping Tiger and Leopard!
Posted by: Z
Date: January 20, 2015 05:38PM
What a bargain on that old imac! Oh.. ;)
Options:  Reply • Quote
Re: Dropbox Dropping Tiger and Leopard!
Posted by: Bill in NC
Date: January 20, 2015 05:42PM
please share your secret...

Quote
p8712
Quote
jdc
(I also snagged a 2009 imac for $100, I just don't have it up and running yet.)
Options:  Reply • Quote
Re: Dropbox Dropping Tiger and Leopard!
Posted by: p8712
Date: January 20, 2015 05:53PM
Quote
Bill in NC
please share your secret...

Quote
p8712
Quote
jdc
(I also snagged a 2009 imac for $100, I just don't have it up and running yet.)

It was a good craigslist score - 20 inch 2.66ghz, boots fine, looks new, and everything works great but the HD has SMART errors. I'm planning on tossing in an SSD to replace it, so it'll wind up being a $200 imac, in the end. Much faster than my '06 imacs.
Options:  Reply • Quote
Re: Dropbox Dropping Tiger and Leopard!
Posted by: jdc
Date: January 20, 2015 07:00PM
we scored a 20" 2008 iMac for $200 with Apple BT keyboard and mouse and 3 GB of ram. Just a matter of looking and being patient =)





Edited 999 time(s). Last edit at 12:08PM by jdc.
Options:  Reply • Quote
Re: Dropbox Dropping Tiger and Leopard!
Posted by: MysteryGuest
Date: January 20, 2015 07:26PM
Ugh, still using my G5. Not good news. Bad year for big expenses. Anybody got options?



Edited 1 time(s). Last edit at 01/20/2015 07:27PM by MysteryGuest.
Options:  Reply • Quote
Re: Dropbox Dropping Tiger and Leopard!
Posted by: mattkime
Date: January 20, 2015 07:45PM
hold long will the old client work?



Options:  Reply • Quote
Re: Dropbox Dropping Tiger and Leopard!
Posted by: p8712
Date: January 20, 2015 08:08PM
Quote
MysteryGuest
Ugh, still using my G5. Not good news. Bad year for big expenses. Anybody got options?

If you need a tower, first-gen gen Mac Pro's can be had cheeply and can do anything your G5 can do. I see smalldog has 'em for $250. That'll support you up to 10.7, or later if you don't mind a little hacking.
Options:  Reply • Quote
Re: Dropbox Dropping Tiger and Leopard!
Posted by: p8712
Date: January 20, 2015 08:09PM
Quote
mattkime
hold long will the old client work?

The message said May 18.
Options:  Reply • Quote
Re: Dropbox Dropping Tiger and Leopard!
Posted by: jdc
Date: January 20, 2015 09:20PM
Quote
MysteryGuest
Ugh, still using my G5. Not good news. Bad year for big expenses. Anybody got options?

If you don't need a tower, that 2007, 2008 iMac I mentioned is great.

I moved from a Dual G5 to a 2007 24" AL iMac in 2007 -- it was huge. Made the G5 look like it was standing still.

The iMac is still in use today, with 4 GB of ram and a 128 GB SSD its still a great performer.





Edited 999 time(s). Last edit at 12:08PM by jdc.
Options:  Reply • Quote
Re: Dropbox Dropping Tiger and Leopard!
Posted by: ka jowct
Date: January 21, 2015 08:39AM
The 2006 Mac Pro is a nice replacement for a G5. I migrated my G5 drives into it with a bit of cloning, and reformatting to GUID. Have Tiger through Lion on it. It's my Wayback Machine for old files and apps. I would suggest some research on patching some security bugs on the older systems, though. I took care of the bash problem and the ntp problem on the Snow Leopard drive, but ran into a snag getting the ntp fix done on Lion. I think there is info out there on how to fix it in Leopard and maybe even Tiger. In the meantime, you should just disable automatic time checks in the Date &Time control panel.
Options:  Reply • Quote
Re: Dropbox Dropping Tiger and Leopard!
Posted by: decay
Date: January 21, 2015 08:41AM
Could Dropbox be the last modern software to support 10.4?



---
Options:  Reply • Quote
Re: Dropbox Dropping Tiger and Leopard!
Posted by: MysteryGuest
Date: January 21, 2015 08:44AM
Thanks for the tips!
Options:  Reply • Quote
Re: Dropbox Dropping Tiger and Leopard!
Posted by: mattkime
Date: January 21, 2015 09:46AM
Quote
p8712
Quote
mattkime
hold long will the old client work?

The message said May 18.

oh, that sucks!



Options:  Reply • Quote
Re: Dropbox Dropping Tiger and Leopard!
Posted by: silvarios
Date: January 21, 2015 11:05AM
Quote
decay
Could Dropbox be the last modern software to support 10.4?

Nope. Firefox has been ported with TenFourFox. Current version of Firefox is 35, ESR is 31.4.0, TenFourfox is based on the ESR and current version matches, 31.4.0.
Options:  Reply • Quote
Sorry, only registered users may post in this forum.

Click here to login

Online Users

Guests: 107
Record Number of Users: 186 on February 20, 2020
Record Number of Guests: 5122 on October 03, 2020